Bug 1006904 - horizon [Havana]: cannot launch an instance with volume created from image
horizon [Havana]: cannot launch an instance with volume created from image
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: python-django-horizon (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: RHOS Maint
Ami Jeain
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 09:30 EDT by Dafna Ron
Modified: 2015-06-04 17:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-novaclient-2.15.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 05:54:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (118.69 KB, application/x-gzip)
2013-09-11 09:30 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2013-09-11 09:30:04 EDT
Created attachment 796372 [details]
logs

Description of problem:

I tried to launch an instance with option boot from image (creates a new volume) 
and I fail with error : 

 HTTP exception thrown: Invalid imageRef provided.

2013-09-11 16:20:40.347 19829 DEBUG nova.api.openstack.wsgi [req-ee257bd7-200b-41e5-b6ea-eef4d0a70b5b 0007c2f5563c4cc883c0c8d9e7f7d6f8 532307bfce18431ba50d309622619b66] Action: 'create', body: {"server": {"name": "dafna", "imageRef": "",
 "flavorRef": "1", "max_count": 1, "min_count": 1, "security_groups": [{"name": "default"}]}} _process_stack /usr/lib/python2.6/site-packages/nova/api/openstack/wsgi.py:935
2013-09-11 16:20:40.348 19829 DEBUG nova.api.openstack.wsgi [req-ee257bd7-200b-41e5-b6ea-eef4d0a70b5b 0007c2f5563c4cc883c0c8d9e7f7d6f8 532307bfce18431ba50d309622619b66] Calling method <bound method Controller.create of <nova.api.openstac
k.compute.servers.Controller object at 0x315c510>> _process_stack /usr/lib/python2.6/site-packages/nova/api/openstack/wsgi.py:936
2013-09-11 16:20:40.350 19829 INFO nova.api.openstack.wsgi [req-ee257bd7-200b-41e5-b6ea-eef4d0a70b5b 0007c2f5563c4cc883c0c8d9e7f7d6f8 532307bfce18431ba50d309622619b66] HTTP exception thrown: Invalid imageRef provided.
2013-09-11 16:20:40.351 19829 DEBUG nova.api.openstack.wsgi [req-ee257bd7-200b-41e5-b6ea-eef4d0a70b5b 0007c2f5563c4cc883c0c8d9e7f7d6f8 532307bfce18431ba50d309622619b66] Returning 400 to user: Invalid imageRef provided. __call__ /usr/lib/
python2.6/site-packages/nova/api/openstack/wsgi.py:1198
2013-09-11 16:20:40.352 19829 INFO nova.osapi_compute.wsgi.server [req-ee257bd7-200b-41e5-b6ea-eef4d0a70b5b 0007c2f5563c4cc883c0c8d9e7f7d6f8 532307bfce18431ba50d309622619b66] 10.35.64.69 "POST /v2/532307bfce18431ba50d309622619b66/servers
 HTTP/1.1" status: 400 len: 266 time: 0.0560989

Version-Release number of selected component (if applicable):

python-django-horizon-2013.2-0.10b3.el6.noarch
openstack-nova-compute-2013.2-0.19.b3.el6.noarch
openstack-nova-api-2013.2-0.19.b3.el6.noarch

How reproducible:

100%

Steps to Reproduce:
1. install havana AIO 
2. create an image
3. try to launch instance with create new volume option

Actual results:

we fail to launch the instance 

Expected results:

we should succeed to launch the instance and create the new volume 

Additional info: logs
Comment 2 Xavier Queralt 2013-09-13 06:42:43 EDT
This feature needs the latest (and unreleased) python-novaclient that hopefully will be available (and packaged) for the final havana release.

It wouldn't hurt disabling it in horizon if the available novaclient is old.
Comment 3 Xavier Queralt 2013-09-20 11:07:37 EDT
The package python-novaclient has been updated to the version 2.15 which already contains this feature.

Note You need to log in before you can comment on or make changes to this bug.